Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class DefaultBatchQueryBuilderFactory

    java.lang.Object
      org.apache.cayenne.access.jdbc.DefaultBatchQueryBuilderFactory

All Implemented Interfaces:
  BatchQueryBuilderFactory

Direct Known Subclasses:
  SoftDeleteQueryBuilderFactory

    public class DefaultBatchQueryBuilderFactory

extends Object
implements BatchQueryBuilderFactory

Default implementation of `#BatchQueryBuilderFactory`

Constructor Summary
`DefaultBatchQueryBuilderFactory()`

Method Summary
`BatchQueryBuilder` | `createDeleteQueryBuilder(DbAdapter adapter)` Creates query builder for DELETE queries
`BatchQueryBuilder` | `createInsertQueryBuilder(DbAdapter adapter)` Creates query builder for INSERT queries
`BatchQueryBuilder` | `createUpdateQueryBuilder(DbAdapter adapter)` Creates query builder for UPDATE queries

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBatchQueryBuilderFactory

    public DefaultBatchQueryBuilderFactory()

Method Detail

### createDeleteQueryBuilder

    public BatchQueryBuilder createDeleteQueryBuilder(DbAdapter adapter)

  Description copied from interface: `BatchQueryBuilderFactory`
  Creates query builder for DELETE queries

  Specified by:
    `createDeleteQueryBuilder` in interface `BatchQueryBuilderFactory`

### createInsertQueryBuilder

    public BatchQueryBuilder createInsertQueryBuilder(DbAdapter adapter)

  Description copied from interface: `BatchQueryBuilderFactory`
  Creates query builder for INSERT queries

  Specified by:
    `createInsertQueryBuilder` in interface `BatchQueryBuilderFactory`

### createUpdateQueryBuilder

    public BatchQueryBuilder createUpdateQueryBuilder(DbAdapter adapter)

  Description copied from interface: `BatchQueryBuilderFactory`
  Creates query builder for UPDATE queries

  Specified by:
    `createUpdateQueryBuilder` in interface `BatchQueryBuilderFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.